Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.apps
Interface MimeConstants

All Superinterfaces:
  org.apache.xmlgraphics.util.MimeConstants

    public interface MimeConstants

extends org.apache.xmlgraphics.util.MimeConstants

Frequently used MIME types for various file formats used when working with Apache FOP.

Field Summary
`static java.lang.String` | `MIME_BITMAP` Bitmap images
`static java.lang.String` | `MIME_FOP_AREA_TREE` Apache FOP's area tree XML
`static java.lang.String` | `MIME_FOP_AWT_PREVIEW` Apache FOP's AWT preview (non-standard MIME type)
`static java.lang.String` | `MIME_FOP_IF` Apache FOP's intermediate format XML
`static java.lang.String` | `MIME_FOP_PRINT` Apache FOP's Direct Printing (non-standard MIME type)

Fields inherited from interface org.apache.xmlgraphics.util.MimeConstants
`MIME_AFP, MIME_AFP_ALT, MIME_AFP_GOCA, MIME_AFP_IOCA_FS10, MIME_AFP_IOCA_FS11, MIME_AFP_IOCA_FS45, MIME_AFP_TRUETYPE, MIME_EMF, MIME_EPS, MIME_GIF, MIME_JPEG, MIME_MIF, MIME_PCL, MIME_PCL_ALT, MIME_PDF, MIME_PLAIN_TEXT, MIME_PNG, MIME_POSTSCRIPT, MIME_RTF, MIME_RTF_ALT1, MIME_RTF_ALT2, MIME_SVG, MIME_TIFF, MIME_XSL_FO`

Field Detail

### MIME_FOP_AWT_PREVIEW

    static final java.lang.String MIME_FOP_AWT_PREVIEW

  Apache FOP's AWT preview (non-standard MIME type)

  See Also:
    Constant Field Values

### MIME_FOP_PRINT

    static final java.lang.String MIME_FOP_PRINT

  Apache FOP's Direct Printing (non-standard MIME type)

  See Also:
    Constant Field Values

### MIME_FOP_AREA_TREE

    static final java.lang.String MIME_FOP_AREA_TREE

  Apache FOP's area tree XML

  See Also:
    Constant Field Values

### MIME_FOP_IF

    static final java.lang.String MIME_FOP_IF

  Apache FOP's intermediate format XML

  See Also:
    Constant Field Values

### MIME_BITMAP

    static final java.lang.String MIME_BITMAP

  Bitmap images

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.